Description: make pkg-config substitutable
 Allows lintex to cross-build from source
Author: Helmut Grohne <helmut@subdivi.de>
Origin: Debian
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=929240
Forwarded: no
Reviewed-by: Ryan Kavanagh <rak@debian.org>
Last-Update: 2019-08-17
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- lintex-1.14.orig/Makefile
+++ lintex-1.14/Makefile
@@ -1,8 +1,9 @@
 # $Id: Makefile,v 1.3 2001/12/02 11:00:05 loreti Exp $
 
-CFLAGS += -ansi -pedantic -Wall `pkg-config --cflags libconfig`
-#CFLAGS = -ansi -Wall -g `pkg-config --cflags libconfig`
-LIBS += `pkg-config --libs libconfig`
+PKG_CONFIG ?= pkg-config
+CFLAGS += -ansi -pedantic -Wall `$(PKG_CONFIG) --cflags libconfig`
+#CFLAGS = -ansi -Wall -g `$(PKG_CONFIG) --cflags libconfig`
+LIBS += `$(PKG_CONFIG) --libs libconfig`
 
 ROOT = debian/lintex/usr
 
